#include "redica.h"
#include <bits/stdc++.h>
using namespace std;

void solve(int N, int K, int S) {
    vector<int> ans;
    for(int i = 1; i <= N; i++) {
        int t = query();
        S -= t;
        ans.push_back(t);
        if(S == N - i) {
            break;
        }
    }
    while(ans.size() < N) ans.push_back(1);
    submit(ans);
}
